;;; ModelineCubes --- The modeline related cubes for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2021 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://gitlab.com/FG42/FG42
;; Version: 3.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'fpkg)
(require 'fg42/cube)

;; TODO: Break this into two cubes
(defcube fg42/modeline-cube
  "Modeline cube"
  (:title "cubes/fg42/modeline-cube.org"
         :flag smart-mode-line
         :flag-default t)

  (fpkg/use smart-mode-line
    :straight (smart-mode-line :source melpa)
    :defer nil
    :init
    (progn
      (setq sml/theme 'respectful)
      (setq sml/no-confirm-load-theme t)
      (sml/setup)))


  (fpkg/use mini-modeline
     :straight (mini-modeline :repo "kiennq/emacs-mini-modeline"
                              :host github
                              :type git)
     :after smart-mode-line
     :init
     (setq mini-modeline-enhance-visual t)
     :defer nil
     :config
     (mini-modeline-mode t)))


(provide 'cubes/modeline)
;;; modeline.el ends here
