;;; ProjectCubes --- The project management cubes for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2021 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://gitlab.com/FG42/FG42
;; Version: 3.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'fpkg)
(require 'fg42/cube)



(defcube fg42/projectile-cube
  "Projectile Cube"
  (:title "cubes/fg42/projectile-cube.org"
         :flag projectile
         :flag-default t)

  (let ((project-dirs (or (plist-get fg42/projectile-cube-params :project-dirs)
                          ())))
    (fpkg/use projectile
      :init
      (projectile-mode +1)
      :config
      (progn
        ;; We don't want the auto discovery on startup
        (setq projectile-auto-discover nil)
        (setq projectile-enable-caching t)
        (setq projectile-project-search-path project-dirs))
      :bind (:map projectile-mode-map
                  ("s-p" . projectile-command-map)
                  ("C-c p" . projectile-command-map)))

    (fpkg/use projectile-ripgrep
      :after projectile)))




(provide 'cubes/project)
;;; project.el ends here
