;;; JavaCubes --- The Java cubes for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2021 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://gitlab.com/FG42/FG42
;; Version: 3.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'fpkg)
(require 'fg42/cube)

(defcube fg42/yasnippet-cube
  "Yasnippet cube"
  (:title "cubes/fg42/yasnippet-cube.org"
         :flag yasnippet
         :flag-default t)

  (fpkg/use yasnippet-snippets)

  (fpkg/use yasnippet
    :init
    (let* ((snippet-home (expand-file-name "snippets"
                                          (file-name-directory (locate-library "yasnippet-snippets"))))
           (local-snippet (expand-file-name "core/cubes/snippets" fg42-home))
           (user-snippets (or (plist-get fg42/yasnippet-cube-params :snippets-dir)
                              ;; Just to make sure that we don't return nil. Since
                              ;; yas-snippet-dirs shoud not contain nil value
                              local-snippet)))

      (setq yas-snippet-dirs `(,user-snippets ,local-snippet ,snippet-home))
      (yas-global-mode 1))))


(provide 'cubes/snippets)
;;; snippets.el ends here
